Bug 23884 - Merge strings.inc and browser-strings.inc
Summary: Merge strings.inc and browser-strings.inc
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-10-23 12:00 UTC by Owen Leonard
Modified: 2020-02-06 23:23 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00


Attachments
Bug 23884: Merge strings.inc and browser-strings.inc (8.71 KB, patch)
2019-10-23 13:19 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 23884: Merge strings.inc and browser-strings.inc (8.83 KB, patch)
2020-01-21 13:16 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 23884: Merge strings.inc and browser-strings.inc (8.85 KB, patch)
2020-01-21 18:56 UTC, David Nind
Details | Diff | Splinter Review
Bug 23884: Merge strings.inc and browser-strings.inc (8.93 KB, patch)
2020-01-22 10:38 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2019-10-23 12:00:32 UTC
browser-strings.inc contains a few terms for translation related to the search results browser in the staff client. We already have a file called strings.inc which performs a similar job. Merging them would simplify things.
Comment 1 Owen Leonard 2019-10-23 13:19:02 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2020-01-21 13:16:56 UTC
Created attachment 97659 [details] [review]
Bug 23884: Merge strings.inc and browser-strings.inc

This patch take the contents of the JavaScript in browser-strings.inc
and puts it in strings.inc. browser-strings.inc is deleted.

To test, apply the patch and perform a catalog search in the staff
client.

 - View any result. In the left-hand sidebar there should be a search
   results browser box with "previous" and "next" arrows and a link back
   to search results.
 - Click on each different "view" tab and confirm that the search
   results navigation box persists: Normal, MARC, Labeled MARC, ISBD,
   Items.
 - From any of these views select Edit -> Edit items. The same
   navigation box should appear.

Note: addbiblio.tt and stockrotation.tt are modified but feature doesn't
currently work on those pages.
Comment 3 Owen Leonard 2020-01-21 13:17:23 UTC
Rebased.
Comment 4 David Nind 2020-01-21 18:56:46 UTC
Created attachment 97682 [details] [review]
Bug 23884: Merge strings.inc and browser-strings.inc

This patch take the contents of the JavaScript in browser-strings.inc
and puts it in strings.inc. browser-strings.inc is deleted.

To test, apply the patch and perform a catalog search in the staff
client.

 - View any result. In the left-hand sidebar there should be a search
   results browser box with "previous" and "next" arrows and a link back
   to search results.
 - Click on each different "view" tab and confirm that the search
   results navigation box persists: Normal, MARC, Labeled MARC, ISBD,
   Items.
 - From any of these views select Edit -> Edit items. The same
   navigation box should appear.

Note: addbiblio.tt and stockrotation.tt are modified but feature doesn't
currently work on those pages.

Signed-off-by: David Nind <david@davidnind.com>
Comment 5 Jonathan Druart 2020-01-22 10:38:43 UTC
Created attachment 97698 [details] [review]
Bug 23884: Merge strings.inc and browser-strings.inc

This patch take the contents of the JavaScript in browser-strings.inc
and puts it in strings.inc. browser-strings.inc is deleted.

To test, apply the patch and perform a catalog search in the staff
client.

 - View any result. In the left-hand sidebar there should be a search
   results browser box with "previous" and "next" arrows and a link back
   to search results.
 - Click on each different "view" tab and confirm that the search
   results navigation box persists: Normal, MARC, Labeled MARC, ISBD,
   Items.
 - From any of these views select Edit -> Edit items. The same
   navigation box should appear.

Note: addbiblio.tt and stockrotation.tt are modified but feature doesn't
currently work on those pages.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 6 Martin Renvoize 2020-01-23 10:35:52 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 7 Joy Nelson 2020-02-06 23:23:14 UTC
Enhancement not backported to 19.11.x